For the complete documentation index, see llms.txt. This page is also available as Markdown.

Merchant Maintenance

Operations to manage exiting merchants.

Partial Update of a Trading address

patch

A partial update of an existing Merchant Entity Address. Only replaces the provided parameters.

Path parameters
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Body

An Address following the convention of http://microformats.org/wiki/hcard

receiverNamestring · min: 1Optional

The receiver name for the address if different to the company/site name.

addressLine1string · min: 1 · max: 40Optional

Address Line 1. Should include street and apartment number if required.

Example: 213 Miller Street
addressLine2string · max: 40Optional

Address Line 2

Example: North Sydney
addressLine3string · max: 40Optional

Address Line 3

poBoxstringOptional

The PO BOX number.

Example: K1234
citystring · min: 1 · max: 28Optional

Name of a built-up area, with defined boundaries, and a local government. This could be city or town.

Example: York
countrySubdivisionstring · min: 1 · max: 35Optional

Identifies a sub-division of a country which may be state, region or county. This follows a similar format to the openbank api.

Example: Georgia
postCodestring · min: 1 · max: 16Optional

Identifier consisting of a group of letters and/or numbers that is added to a postal address to assist the sorting of mail.

Example: 2061
countrystring · enumOptional

The ISO 3166-1 alpha-3 country code.

Note: The country code for Great Britain is GB and not UK as is used in that country's top-level domain names.
.

Example: AUSPossible values:
timeZonestring · min: 1 · max: 127Optional

A time zone, following the format defined in the IANA tz database (https://www.iana.org/time-zones). Valid examples are America/New_York and Etc/UTC. Do not use ambiguous, non-qualified values such as EST or GB. Before including this type in your interface, please consider whether it is actually appropriate to convey time zone information with your type. It is almost always the case that this should be transformed from UTC at the time of display to the user; this type might therefore be most associated with user-preference APIs.

Responses
200

Patch Trading Address Response

application/json
patch
/entities/{entityUid}/tradingAddress

Delete a Single Merchant Entity

delete

Deletes an Entity.

Path parameters
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Responses
delete
/entities/{entityUid}

No content

Partial Update of a Merchant Entity

patch

A partial update of an existing Merchant Entity. Only replaces the provided parameters.

This can be used to activate/deactivate a merchant entity and change the trading name.

Path parameters
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Body
namestring · max: 40Optional

A name to be assigned to this entity. This can be the trading name or business name.

Example: Merchant NamePattern: ^(?!\s*$).+
statusstring · enumOptional

An entity may have different states but will still exist in the Verifone Service without being active as a record is required for the status.

This only allows update to active status, delete must be explicity executed as an operation.

Possible values:
Responses
patch
/entities/{entityUid}

No content

Last updated

Was this helpful?